/*
 * $Id: Entity_find_interface.cpp 81 2008-04-15 18:40:01Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::find_interface"
  Interface * Entity::find_interface (std::string name)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    
    Interface* _return = _interfaces->find_interface(name);

    log_printf(FUNC,Behavioural,FUNCTION,"End");

    return _return;
  };

}; // end namespace behavioural          
}; // end namespace morpheo              
